View Issue Details

IDProjectCategoryView StatusLast Update
0032690Open CASCADEPRODUCTS:Volume Renderingpublic2022-01-26 11:20
Reporterngavrilo Assigned Tongavrilo  
PrioritynormalSeverityfeature 
Status verifiedResolutionfixed 
PlatformWindowsOSVC++ 2015 
Target Version7.7.0 
Summary0032690: Volume Rendering - add Hello World sample
DescriptionCreate a sample for Volume Rendering, write FindVolumeRender.cmake script for the package search by CMake and put the sample in occ-products folder.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberN/A

Activities

ngavrilo

2021-11-30 10:52

developer   ~0105530

kgv

2021-11-30 11:24

developer   ~0105533

Please raise the sample, and try including it's compilation on Jenkins (only for Windows platform).

smoskvin

2021-12-04 11:59

administrator   ~0105641

Combination -
OCCT branch : IR-2021-12-03
master SHA - 03eb96038e853c37a2229e59d0acb72f5dd0478d
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-12-03 SHA - 52ed38cc2ddefb01913e1984cdae84175a8fb8ed
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18166.60000000042 / 18390.6500000004 [-1.22%]
Products
Total CPU difference: 11658.820000000103 / 11648.280000000103 [+0.09%]
Windows-64-VC14:
OCCT
Total CPU difference: 19937.84375 / 19928.171875 [+0.05%]
Products
Total CPU difference: 13069.28125 / 13059.03125 [+0.08%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

bugmaster

2021-12-04 12:17

administrator   ~0105650

Fix has been integrated into master of occt-products repository

Related Changesets

occt-products: master 95f1a282

2021-11-29 16:23:09

ngavrilo

Details Diff
0032690: Volume Rendering - add Hello World sample Affected Issues
0032690
mod - blob Diff File
mod - blob Diff File
add - samples/cli/occ-volumerender-hello/adm/cmake/FindPRODUCTS_VolumeRender.cmake Diff File
add - samples/cli/occ-volumerender-hello/CMakeLists.txt Diff File
add - samples/cli/occ-volumerender-hello/ReadMe.md Diff File

Issue History

Date Modified Username Field Change
2021-11-26 08:59 ngavrilo New Issue
2021-11-26 08:59 ngavrilo Assigned To => kgv
2021-11-26 10:03 kgv Test case number => N/A
2021-11-26 10:03 kgv Target Version 7.6.0 => 7.7.0
2021-11-26 10:03 kgv Summary Volume Rendering sample => Volume Rendering - add Hello World sample
2021-11-26 10:03 kgv Steps to Reproduce Updated
2021-11-26 10:03 kgv Assigned To kgv => ngavrilo
2021-11-26 10:03 kgv Status new => assigned
2021-11-26 10:04 kgv Product Version 7.6.0 =>
2021-11-29 16:36 ngavrilo Assigned To ngavrilo => kgv
2021-11-29 16:36 ngavrilo Status assigned => resolved
2021-11-29 17:19 kgv Assigned To kgv => ngavrilo
2021-11-29 17:19 kgv Status resolved => assigned
2021-11-30 10:03 ngavrilo Assigned To ngavrilo => kgv
2021-11-30 10:03 ngavrilo Status assigned => resolved
2021-11-30 10:25 kgv Assigned To kgv => ngavrilo
2021-11-30 10:25 kgv Status resolved => assigned
2021-11-30 10:52 ngavrilo Note Added: 0105530
2021-11-30 10:52 ngavrilo Assigned To ngavrilo => kgv
2021-11-30 10:52 ngavrilo Status assigned => resolved
2021-11-30 11:24 kgv Note Added: 0105533
2021-11-30 11:24 kgv Assigned To kgv => bugmaster
2021-11-30 11:24 kgv Status resolved => reviewed
2021-12-04 11:59 smoskvin Note Added: 0105641
2021-12-04 11:59 smoskvin Status reviewed => tested
2021-12-04 12:17 bugmaster Note Added: 0105650
2021-12-04 12:17 bugmaster Status tested => verified
2021-12-04 12:17 bugmaster Resolution open => fixed
2021-12-17 18:41 ngavrilo Changeset attached => occt-products master 95f1a282
2021-12-17 18:41 ngavrilo Assigned To bugmaster => ngavrilo